Skip to main content
GET
/
public
/
v1
/
custom-fields
List custom fields
curl --request GET \
  --url https://api.dualentry.com/public/v1/custom-fields/ \
  --header 'X-API-KEY: <api-key>'
{
  "items": [
    {
      "id": 123,
      "name": "<string>",
      "is_active": true,
      "company_id": 123,
      "company_ids": [],
      "description": "<string>",
      "helper_text": "<string>",
      "applies_to": [],
      "default_value": "<string>",
      "options": [
        "<string>"
      ]
    }
  ],
  "count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.dualentry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Query Parameters

search
string | null
id
integer[] | null
field_type
enum<string> | null
Available options:
text,
number,
currency,
date,
boolean,
single_select,
multi_select,
link,
paragraph
is_active
boolean | null
name
string | null
record_type
enum<string> | null

Filter to fields that apply to this record type (e.g. customer, invoice).

Available options:
invoice,
bill,
direct_expense,
journal_entry,
vendor_prepayment,
vendor_credit,
vendor_payment,
vendor_refund,
customer_payment,
customer_prepayment,
customer_refund,
customer_deposit,
currency_revaluation,
contract,
fixed_asset,
customer,
vendor,
company,
sales_order,
cash_sale,
customer_credit
company_id
integer | null

Include both org-level fields and fields scoped to this company id.

is_required
boolean | null

Filter on the is_required flag of the applies_to entry (needs record_type).

is_active_record
boolean | null

Filter on the is_active flag of the applies_to entry (needs record_type).

ordering
string | null
default:-updated_at
limit
integer
default:100

Number of records to return per page (capped at 100)

Required range: x >= 1
offset
integer
default:0

Number of records to skip before starting to return results

Required range: x >= 0

Response

OK

items
PublicCustomFieldSchemaOut · object[]
required
count
integer
required
Last modified on May 28, 2026